### Method

# Camel NetworkSettings set_security_method

since: 3.2

#### Declaration [src]

    void
    camel_network_settings_set_security_method (
      CamelNetworkSettings* settings,
      CamelNetworkSecurityMethod method
    )

#### Description [src]

Sets the method used to establish a secure (or unsecure) network connection. Note that changing this setting has no effect on an already-established network connection.

Available since: 3.2

Sets property | `Camel.NetworkSettings:security-method`

#### Parameters

`method`

  Type: `CamelNetworkSecurityMethod`

  The security method.